image: node:latest

stages:
  - deploy

npm front deploy:
  stage: deploy
  only:
    refs:
      - master
  script:
    - npm ci
    - npm run-script build
    - npm i -g firebase-tools
    - firebase deploy --token "${FIREBASE_LOGIN_TOKEN}" --project yourteam-6cad7
